package org.red5.io.m4a.impl;

/*
 * RED5 Open Source Flash Server - http://www.osflash.org/red5
 *
 * Copyright (c) 2006-2007 by respective authors (see below). All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under the
 * terms of the GNU Lesser General Public License as published by the Free Software
 * Foundation; either version 2.1 of the License, or (at your option) any later
 * version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along
 * with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

import java.io.File;
import java.io.IOException;

import org.red5.io.ITagReader;
import org.red5.io.ITagWriter;
import org.red5.io.m4a.IM4A;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * A M4AImpl implements the M4A api
 * 
 * @author The Red5 Project (red5@osflash.org)
 * @author Paul Gregoire, (mondain@gmail.com)
 */
public class M4A implements IM4A {

	protected static Logger log = LoggerFactory.getLogger(M4A.class);

	private File file;

	/**
	 * Default constructor, used by Spring so that parameters may be injected.
	 */
	public M4A() {
	}

	/**
	 * Create M4A from given file source
	 * 
	 * @param file
	 *            File source
	 */
	public M4A(File file) {
		this.file = file;
	}

	/**
	 * {@inheritDoc}
	 */
	public ITagReader getReader() throws IOException {
		return new M4AReader(file);
	}

	/**
	 * {@inheritDoc}
	 */
	public ITagWriter getWriter() throws IOException {
		return null;
	}

	public ITagWriter getAppendWriter() throws IOException {
		return null;
	}
	
}
